<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('productos_attributes', function (Blueprint $table) {
            $table->id();
            $table->string('tenant_codigo');
            $table->string('codigo');
            $table->string('nombre');
            $table->boolean('is_required')->default(false);
            $table->json('metadata_schema')->nullable();
            $table->string('type');
            $table->timestamps();

            $table->foreign('tenant_codigo')
                ->references('codigo')
                ->on('tenants')
                ->cascadeOnUpdate()
                ->cascadeOnDelete();

            $table->unique(['tenant_codigo', 'codigo']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('productos_attributes');
    }
};
